pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Mesa 7.4.2 and xserver

Thomas Klausner wrote:
> I've tried a limited bulk build of the packages touched by these
> patches on NetBSD-5.99.11/amd64. Everything built fine except for
> modular-xorg-server:
> checking for GL... configure: error: Package requirements (glproto >=
> 1.4.1 dri >= 7.1.0) were not met:
> No package 'dri' found
> Consider adjusting the PKG_CONFIG_PATH environment variable if you
> installed software in a non-standard prefix.
> Alternatively, you may set the environment variables GL_CFLAGS
> and GL_LIBS to avoid the need to call pkg-config.
> See the pkg-config man page for more details.
> *** Error code 1
> Stop.

This is a wild guess only, but maybe it's because of the fact that I 
tested a build with dri option only. In fact I think that dri should be 
made default at least for some architectures/platforms (DragonFly is 
certainly one of these).

Hasso Tepper

Home | Main Index | Thread Index | Old Index